# Change Log

## [v5.0.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v5.0.3) (2020-04-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v5.0.2...v5.0.3)

**Implemented enhancements:**

- Hook to support $search in query [\#501](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/501)
- Pass client info into socket [\#493](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/493)

**Closed issues:**

- An in-range update of @feathersjs/feathers is breaking the build 🚨 [\#583](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/583)
- Argument of type xxx is not assignable to parameter of type xxx [\#579](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/579)
- Cache hook returns improper values when using $select or query on methods other than find\(\) [\#575](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/575)
- Validation hook for passwords [\#471](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/471)
- Support $search for MongoDB [\#451](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/451)
- Hook to set HTTP status code [\#443](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/443)
- find and stash [\#430](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/430)
- Convert JS dates to/from strings/integers on service calls. [\#429](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/429)
- suggestion: hook to emit \(fake\) event [\#422](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/422)
- Highlight use of combine for more complex decision making. [\#401](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/401)
- Design: More generalized hook structures [\#366](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/366)

**Merged pull requests:**

- Update all dependencies [\#585](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/585) ([daffl](https://github.com/daffl))
- docs: fix indent [\#577](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/577) ([fratzinger](https://github.com/fratzinger))
- Bug/cache select [\#576](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/576) ([DaddyWarbucks](https://github.com/DaddyWarbucks))
- Fix markdown of fastJoin code example [\#573](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/573) ([matiaslopezd](https://github.com/matiaslopezd))
- Changing Object ID import on mongoKeys hook [\#571](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/571) ([luizfer](https://github.com/luizfer))

## [v5.0.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v5.0.2) (2020-01-23)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v5.0.1...v5.0.2)

**Fixed bugs:**

- setSlug not working in buzzard [\#380](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/380)

**Merged pull requests:**

- Greenkeeper/sift 11.0.9 [\#566](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/566) ([daffl](https://github.com/daffl))
- Change check for external provider as per daffl in disallow.js by 104c1b1 [\#565](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/565) ([jalbersdorfer](https://github.com/jalbersdorfer))
- Fix formatting of the Header for the `runHook` documentation [\#563](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/563) ([pdfowler](https://github.com/pdfowler))
- :pencil2: fix minor typos [\#561](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/561) ([arfanliaqat](https://github.com/arfanliaqat))

## [v5.0.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v5.0.1) (2019-12-31)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v5.0.0...v5.0.1)

**Implemented enhancements:**

- Doument fgraphql [\#466](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/466)
- Clarify fastJoin API docs. [\#452](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/452)
- Improvement: review alterItems tests [\#408](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/408)

**Closed issues:**

- TypeScript definition for fastJoin don't reflect examples for recursive resolvers [\#521](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/521)
- Write docs for sequelizeConvert [\#497](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/497)
- Suggestion: Utility to allow hooks to be skippable. [\#417](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/417)
- Suggestion: possible enhancement: utilities to extract info from `app` [\#416](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/416)

**Merged pull requests:**

- Tweaks for v5 release [\#560](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/560) ([daffl](https://github.com/daffl))

## [v5.0.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v5.0.0) (2019-12-31)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.7...v5.0.0)

**Implemented enhancements:**

- Improvement: Upgrade to ajv ^6.1.1 [\#372](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/372)

**Fixed bugs:**

- Clarification on softDelete2 [\#455](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/455)

**Closed issues:**

- An in-range update of @feathersjs/feathers is breaking the build 🚨 [\#558](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/558)
- An in-range update of @feathersjs/socketio is breaking the build 🚨 [\#553](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/553)
- An in-range update of @feathersjs/authentication-local is breaking the build 🚨 [\#552](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/552)
- An in-range update of @feathersjs/authentication is breaking the build 🚨 [\#551](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/551)
- An in-range update of @feathersjs/socketio-client is breaking the build 🚨 [\#550](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/550)
- An in-range update of @feathersjs/express is breaking the build 🚨 [\#549](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/549)
- An in-range update of @feathersjs/feathers is breaking the build 🚨 [\#548](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/548)
- An in-range update of @feathersjs/errors is breaking the build 🚨 [\#547](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/547)
- feathers 4 with softDelete2 and feathers-mongoose fails with 404 not found [\#532](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/532)
- version upgrade for feathers v4 [\#531](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/531)
- SoftDelete2 - before hook for 'get' method returned invalid hook object [\#528](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/528)
- Doesn't work with @feathersjs/feathers@^4.3.0-pre.3 [\#526](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/526)
- SoftDelete2 throws with feathers-sequelize 5 and above [\#524](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/524)
- Race Condition in defaultPatchCall of SoftDelete2 [\#523](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/523)
- SoftDelete2 Skip Symbol mismatch in browser [\#522](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/522)
- \[REGRESSION\]: 4.8.0-4.20.7 args is not iterable error on initiation [\#520](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/520)
- populate include array [\#519](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/519)
- fastJoin not reactive [\#517](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/517)
- `keep` fails when object key contains dot [\#514](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/514)
- TypeScript definitions for iff [\#512](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/512)
- SoftDelete2 use null or -1 [\#508](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/508)
- Many-to-many fastJoin [\#505](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/505)
- Remove fgraphql-async as its not used [\#482](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/482)
- Proposal: Don't mutate objects in common hooks [\#480](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/480)
- Support dot notation in params.query [\#441](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/441)
- keep doesn't keep false values [\#425](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/425)
- createdBY, updatedBy hook [\#379](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/379)
- Doc running hooks async from hook chain [\#370](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/370)

**Merged pull requests:**

- Update @types/node to the latest version 🚀 [\#559](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/559) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dependencies and fix expected TypeScript type [\#557](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/557) ([daffl](https://github.com/daffl))
- VuePress docs [\#556](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/556) ([marshallswain](https://github.com/marshallswain))
- modify stashBefore hook, move $disableStashBefore from query to params [\#555](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/555) ([marshallswain](https://github.com/marshallswain))
- Add vscode launch script for debugging Mocha tests [\#554](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/554) ([marshallswain](https://github.com/marshallswain))
- Update typings [\#545](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/545) ([daffl](https://github.com/daffl))
- New softDelete for Feathers 4 [\#544](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/544) ([daffl](https://github.com/daffl))
- Safely delete properties using lodash/omit [\#543](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/543) ([daffl](https://github.com/daffl))
- Update sift to the latest version 🚀 [\#542](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/542) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Use Lodash for utility functions [\#541](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/541) ([daffl](https://github.com/daffl))
- Remove all deprecated hooks [\#540](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/540) ([daffl](https://github.com/daffl))
- Update dtslint in group default to the latest version 🚀 [\#539](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/539) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dependencies for default 🌴 [\#538](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/538) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update badges [\#537](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/537) ([daffl](https://github.com/daffl))
- Upgrade to Feathers v4 [\#536](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/536) ([daffl](https://github.com/daffl))
- Update dependencies to enable Greenkeeper 🌴 [\#534](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/534) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update README.md [\#525](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/525) ([bartduisters](https://github.com/bartduisters))
- Upgrade ajv dependency and fix failing tests. [\#518](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/518) ([rybaczewa](https://github.com/rybaczewa))
- Annoying typo fixed [\#516](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/516) ([james2mid](https://github.com/james2mid))
- Ensure `existsByDot` and `getByDot` honour properties with dots in keys [\#515](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/515) ([anthonygood](https://github.com/anthonygood))
- Updated typings. [\#513](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/513) ([deskoh](https://github.com/deskoh))
- Fix promise-to-callback hook preventing other hook import. [\#506](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/506) ([rybaczewa](https://github.com/rybaczewa))

## [v4.20.7](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.7) (2019-02-22)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.6...v4.20.7)

## [v4.20.6](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.6) (2019-02-22)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.5...v4.20.6)

## [v4.20.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.5) (2019-02-22)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.4...v4.20.5)

## [v4.20.4](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.4) (2019-02-22)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.2...v4.20.4)

**Implemented enhancements:**

- Finish dialablePhoneNumber hook [\#474](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/474)

**Closed issues:**

- query regarding set response to hook :after create [\#507](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/507)
- Many-to-many fastJoin [\#504](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/504)

**Merged pull requests:**

- Update iff predicates typings to be either sync or async [\#509](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/509) ([NickBolles](https://github.com/NickBolles))

## [v4.20.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.2) (2019-01-11)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.1...v4.20.2)

**Closed issues:**

- Add typings for sequelizeConvert [\#498](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/498)

**Merged pull requests:**

- add types for sequelizeConvert hook [\#502](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/502) ([j2L4e](https://github.com/j2L4e))

## [v4.20.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.1) (2019-01-11)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.20.0...v4.20.1)

**Merged pull requests:**

- update type definition for debug hook [\#500](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/500) ([brane53](https://github.com/brane53))

## [v4.20.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.20.0) (2019-01-07)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.8...v4.20.0)

**Merged pull requests:**

- Delete unused fgraphql-async. Added sequelizeConvert. [\#499](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/499) ([eddyystop](https://github.com/eddyystop))

## [v4.19.8](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.8) (2019-01-04)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.7...v4.19.8)

**Fixed bugs:**

- Typings needed for libphonenumber-js [\#495](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/495)

**Closed issues:**

- graphql dependency [\#487](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/487)

**Merged pull requests:**

- move `@types/graphql` package from `devDependencies` into `dependencies` [\#496](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/496) ([j2L4e](https://github.com/j2L4e))

## [v4.19.7](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.7) (2019-01-04)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.6...v4.19.7)

**Closed issues:**

- @feathersjs/commons dependency  [\#492](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/492)
- Validation hook for restful api [\#491](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/491)
- TS for keep fgraphql [\#467](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/467)

**Merged pull requests:**

- Remove redundant $eq to be compatible with all database adapters [\#494](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/494) ([KidkArolis](https://github.com/KidkArolis))
- fix typings test [\#489](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/489) ([j2L4e](https://github.com/j2L4e))
- fix: use graphql as a dependency to resolve TS type definition problems [\#488](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/488) ([PowerMogli](https://github.com/PowerMogli))

## [v4.19.6](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.6) (2018-12-13)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.5...v4.19.6)

## [v4.19.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.5) (2018-12-13)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.4...v4.19.5)

**Closed issues:**

- TS for keepQueryInArray [\#468](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/468)
- dtslint-build folder in installed package? [\#461](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/461)

**Merged pull requests:**

- Trying to fix situational test failure soft-delete2-c timeout [\#486](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/486) ([eddyystop](https://github.com/eddyystop))
- Merge forced by pr\#484 [\#485](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/485) ([eddyystop](https://github.com/eddyystop))
- add asynciterable to tsconfig and bump ts version [\#484](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/484) ([j2L4e](https://github.com/j2L4e))
- update names and fix the options property [\#481](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/481) ([NickBolles](https://github.com/NickBolles))
- add typings for dialablePhoneNumber hook, add libphonenumber-js as a dependency [\#477](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/477) ([j2L4e](https://github.com/j2L4e))
- Add initial types for fgraphql [\#469](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/469) ([NickBolles](https://github.com/NickBolles))
- remove dtslint workaround in favor of npx [\#463](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/463) ([j2L4e](https://github.com/j2L4e))

## [v4.19.4](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.4) (2018-11-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.3...v4.19.4)

**Merged pull requests:**

- Fixed dialablePhoneNumber [\#476](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/476) ([eddyystop](https://github.com/eddyystop))

## [v4.19.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.3) (2018-11-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.2...v4.19.3)

**Merged pull requests:**

- Added dialablePhoneNumber hook [\#475](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/475) ([eddyystop](https://github.com/eddyystop))

## [v4.19.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.2) (2018-11-25)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.1...v4.19.2)

## [v4.19.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.1) (2018-11-25)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.19.0...v4.19.1)

**Fixed bugs:**

- Cache Fails When Using $select [\#472](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/472)

**Merged pull requests:**

- Fixed cache to ignore find calls with [\#473](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/473) ([eddyystop](https://github.com/eddyystop))
- required\(\) of value false throws fieldname is null [\#470](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/470) ([antarasi](https://github.com/antarasi))

## [v4.19.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.19.0) (2018-11-17)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.18.0...v4.19.0)

## [v4.18.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.18.0) (2018-11-17)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.14...v4.18.0)

**Implemented enhancements:**

- Document KeepQueryInarray [\#465](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/465)

**Closed issues:**

- Difference between serialize and alterItems [\#464](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/464)
- softDelete2 returns error on delete [\#462](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/462)

**Merged pull requests:**

- Added `keepQueryInArray` hook to keep query fields from a nested array [\#454](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/454) ([dekelev](https://github.com/dekelev))

## [v4.17.14](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.14) (2018-11-01)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.13...v4.17.14)

## [v4.17.13](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.13) (2018-11-01)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.12...v4.17.13)

**Merged pull requests:**

- Added support for dePopulate to fgraphql hook. [\#459](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/459) ([eddyystop](https://github.com/eddyystop))

## [v4.17.12](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.12) (2018-10-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.11...v4.17.12)

**Merged pull requests:**

- Added custom dePopulate func to dePopulate hook.' [\#458](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/458) ([eddyystop](https://github.com/eddyystop))

## [v4.17.11](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.11) (2018-10-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.10...v4.17.11)

**Closed issues:**

- fastJoin loop [\#453](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/453)

**Merged pull requests:**

- Added fgraphql hook. [\#457](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/457) ([eddyystop](https://github.com/eddyystop))

## [v4.17.10](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.10) (2018-09-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.9...v4.17.10)

## [v4.17.9](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.9) (2018-09-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.8...v4.17.9)

**Closed issues:**

- How to pass query parameters from the client to fastJoin [\#447](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/447)

**Merged pull requests:**

- Add missing 'create' method in MethodName type [\#449](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/449) ([murbanowicz](https://github.com/murbanowicz))

## [v4.17.8](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.8) (2018-09-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.7...v4.17.8)

## [v4.17.7](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.7) (2018-09-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.6...v4.17.7)

**Closed issues:**

- fastJoin applied but not sent to client when called from server [\#446](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/446)

**Merged pull requests:**

- Typings: Add context to resolver callback arguments. [\#448](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/448) ([j2L4e](https://github.com/j2L4e))

## [v4.17.6](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.6) (2018-09-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.5...v4.17.6)

## [v4.17.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.5) (2018-09-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.4...v4.17.5)

**Merged pull requests:**

- fix: isProvider returns a boolean [\#444](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/444) ([bitflower](https://github.com/bitflower))

## [v4.17.4](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.4) (2018-09-13)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.3...v4.17.4)

## [v4.17.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.3) (2018-09-13)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.2...v4.17.3)

**Merged pull requests:**

- Add documentation links to typings [\#442](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/442) ([j2L4e](https://github.com/j2L4e))

## [v4.17.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.2) (2018-09-10)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.1...v4.17.2)

## [v4.17.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.1) (2018-09-10)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.17.0...v4.17.1)

## [v4.17.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.17.0) (2018-09-10)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.16.3...v4.17.0)

**Closed issues:**

- Which hook to use? [\#436](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/436)
- discard not working [\#435](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/435)

**Merged pull requests:**

- typings CI testing [\#440](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/440) ([j2L4e](https://github.com/j2L4e))
- Revert "\[WIP\] Typings: Set up CI testing" [\#439](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/439) ([eddyystop](https://github.com/eddyystop))
- \[WIP\] Typings: Set up CI testing [\#438](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/438) ([j2L4e](https://github.com/j2L4e))
- add typings file + infrastructure [\#437](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/437) ([j2L4e](https://github.com/j2L4e))
- Update npm installed version [\#434](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/434) ([bravo-kernel](https://github.com/bravo-kernel))

## [v4.16.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.16.3) (2018-08-25)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.16.2...v4.16.3)

**Implemented enhancements:**

- Cache with mongoose ObjectId will fail to find the keyFieldName in cache [\#424](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/424)

**Closed issues:**

- Create TypeScript typings for this package [\#432](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/432)

**Merged pull requests:**

- Added `keepQuery` support for keeping props with dot in their name [\#431](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/431) ([dekelev](https://github.com/dekelev))
- Update alter-items.js [\#428](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/428) ([bertho-zero](https://github.com/bertho-zero))

## [v4.16.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.16.2) (2018-08-14)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.16.1...v4.16.2)

**Merged pull requests:**

- Enhanced cache with MongoDB/Mongoose support [\#427](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/427) ([eddyystop](https://github.com/eddyystop))

## [v4.16.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.16.1) (2018-08-14)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.16.0...v4.16.1)

**Merged pull requests:**

- Allows custom methods in checkContext [\#426](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/426) ([eddyystop](https://github.com/eddyystop))

## [v4.16.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.16.0) (2018-08-04)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.15.0...v4.16.0)

**Merged pull requests:**

- Added prep for skipRemaingHooksOnFlag [\#423](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/423) ([eddyystop](https://github.com/eddyystop))
- Delete's not a thing [\#421](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/421) ([rayfoss](https://github.com/rayfoss))
- Added `keepInArray` hook to keep fields from a nested array [\#420](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/420) ([dekelev](https://github.com/dekelev))
- remove hook removal explained [\#405](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/405) ([rayfoss](https://github.com/rayfoss))

## [v4.15.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.15.0) (2018-07-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.14.3...v4.15.0)

**Implemented enhancements:**

- softDelete with a date instead of boolean [\#385](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/385)

**Closed issues:**

- validateSchema with type: array [\#364](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/364)

**Merged pull requests:**

- Final changes and tests for softDelete2 [\#419](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/419) ([eddyystop](https://github.com/eddyystop))

## [v4.14.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.14.3) (2018-07-09)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.14.2...v4.14.3)

## [v4.14.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.14.2) (2018-07-09)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.14.1...v4.14.2)

**Closed issues:**

- How to stop requests from 'external'? [\#415](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/415)

**Merged pull requests:**

- Fix prevent changes and discard hooks [\#406](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/406) ([SteffenLanger](https://github.com/SteffenLanger))

## [v4.14.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.14.1) (2018-07-03)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.14.0...v4.14.1)

**Merged pull requests:**

- \[security issue\] fix populate injecting provider into source schema argument [\#414](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/414) ([antarasi](https://github.com/antarasi))

## [v4.14.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.14.0) (2018-06-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.13.0...v4.14.0)

## [v4.13.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.13.0) (2018-06-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.12.1...v4.13.0)

**Closed issues:**

- softDelete does not trace the errors that occur in the get call [\#389](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/389)

**Merged pull requests:**

- Added callingParams, callingParamsDefault hooks. Replaced makeCallingParams [\#411](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/411) ([eddyystop](https://github.com/eddyystop))
- Update soft-delete.js [\#410](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/410) ([bertho-zero](https://github.com/bertho-zero))

## [v4.12.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.12.1) (2018-06-20)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.12.0...v4.12.1)

**Closed issues:**

- \[Question\] Modify Another Resources using An Services [\#407](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/407)

**Merged pull requests:**

- restore alterItems for works with sync methods [\#409](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/409) ([bertho-zero](https://github.com/bertho-zero))

## [v4.12.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.12.0) (2018-06-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.11.3...v4.12.0)

**Implemented enhancements:**

- Async functions in alterItems don't work [\#367](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/367)
- alterItems now works with an async callback function [\#371](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/371) ([sean-nicholas](https://github.com/sean-nicholas))

**Merged pull requests:**

- Correct linting. [\#404](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/404) ([eddyystop](https://github.com/eddyystop))

## [v4.11.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.11.3) (2018-06-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.11.2...v4.11.3)

## [v4.11.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.11.2) (2018-06-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.11.1...v4.11.2)

**Implemented enhancements:**

- keep transform null result to an empty object. [\#394](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/394)
- runHook before [\#384](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/384)

**Fixed bugs:**

- `discard` fails on null properties [\#368](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/368)

**Closed issues:**

- checkContext should use isProvider [\#393](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/393)
- Issue with populate subdocument field [\#392](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/392)
- Only serialize a populated field if it exists [\#391](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/391)
- Doc url in header [\#388](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/388)
- Coerce result [\#387](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/387)

**Merged pull requests:**

- getByDot no-ops non-obejct records [\#403](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/403) ([eddyystop](https://github.com/eddyystop))
- keep hook ignores records which are not objects [\#402](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/402) ([eddyystop](https://github.com/eddyystop))
- closes \#368 [\#400](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/400) ([bertho-zero](https://github.com/bertho-zero))
- Enable Semistandard and update code style [\#396](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/396) ([daffl](https://github.com/daffl))
- Update all dependencies and badges [\#395](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/395) ([daffl](https://github.com/daffl))

## [v4.11.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.11.1) (2018-04-26)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.11.0...v4.11.1)

**Implemented enhancements:**

- fastJoin Guide and API examples now all show pagination being disabled. [\#376](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/376)

**Fixed bugs:**

- set-slug corrected for feathers buzzard [\#381](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/381) ([m4n0v31](https://github.com/m4n0v31))

**Closed issues:**

- sub include relations with Sequelize: Query error [\#378](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/378)
- Add allowChanges as a hook [\#377](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/377)

## [v4.11.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.11.0) (2018-04-12)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.10.0...v4.11.0)

**Implemented enhancements:**

- Fix deletion of array items [\#375](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/375) ([RubyRubenstahl](https://github.com/RubyRubenstahl))

**Fixed bugs:**

- preventChange: example does not have a boolean as the first param. [\#374](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/374)

## [v4.10.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.10.0) (2018-03-11)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.9.0...v4.10.0)

## [v4.9.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.9.0) (2018-03-11)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.8.0...v4.9.0)

**Merged pull requests:**

- Revert ajv from 6.1.1 to 5.5.2. Errors testing schemas in existing ajv instances. [\#373](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/373) ([eddyystop](https://github.com/eddyystop))

## [v4.8.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.8.0) (2018-02-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.7.0...v4.8.0)

**Implemented enhancements:**

- `mongoKeys` can also used in `before` `update/patch/remove` [\#361](https://github.com/feathersjs-ecosystem/feathers-hooks-common/issues/361)
- allow mongoKeys running for all methods [\#363](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/363) ([beeplin](https://github.com/beeplin))
- Allow `mongoKeys` for update/patch/remove [\#362](https://github.com/feathersjs-ecosystem/feathers-hooks-common/pull/362) ([beeplin](https://github.com/beeplin))

## [v4.7.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.7.0) (2018-02-08)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.6...v4.7.0)

## [v4.5.6](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.6) (2018-02-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.5...v4.5.6)

## [v4.5.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.5) (2018-02-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.4...v4.5.5)

## [v4.5.4](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.4) (2018-02-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.3...v4.5.4)

## [v4.5.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.3) (2018-02-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.2...v4.5.3)

## [v4.5.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.2) (2018-02-05)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.1...v4.5.2)

## [v4.5.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.1) (2018-02-03)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.5.0...v4.5.1)

## [v4.5.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.5.0) (2018-02-03)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v4.3.0...v4.5.0)

## [v4.3.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v4.3.0) (2018-01-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.10.0...v4.3.0)

## [v3.10.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.10.0) (2017-10-21)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.9.0...v3.10.0)

## [v3.9.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.9.0) (2017-10-21)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.8.0...v3.9.0)

## [v3.8.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.8.0) (2017-10-21)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.7.3...v3.8.0)

## [v3.7.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.7.3) (2017-09-17)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.7.2...v3.7.3)

## [v3.7.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.7.2) (2017-08-23)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.7.1...v3.7.2)

## [v3.7.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.7.1) (2017-08-07)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.7.0...v3.7.1)

## [v3.7.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.7.0) (2017-08-06)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.6.1...v3.7.0)

## [v3.6.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.6.1) (2017-07-27)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.6.0...v3.6.1)

## [v3.6.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.6.0) (2017-07-27)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.5.5...v3.6.0)

## [v3.5.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.5.5) (2017-06-20)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.5.3...v3.5.5)

## [v3.5.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.5.3) (2017-06-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.5.2...v3.5.3)

## [v3.5.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.5.2) (2017-06-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.5.1...v3.5.2)

## [v3.5.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.5.1) (2017-05-30)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.5.0...v3.5.1)

## [v3.5.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.5.0) (2017-05-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.3.3...v3.5.0)

## [v3.3.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.3.3) (2017-05-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.4.0...v3.3.3)

## [v3.4.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.4.0) (2017-05-24)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.3.2...v3.4.0)

## [v3.3.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.3.2) (2017-05-09)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.3.1...v3.3.2)

## [v3.3.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.3.1) (2017-05-09)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.3.0...v3.3.1)

## [v3.3.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.3.0) (2017-05-09)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.2.0...v3.3.0)

## [v3.2.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.2.0) (2017-05-01)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.1.0...v3.2.0)

## [v3.1.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.1.0) (2017-05-01)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.0.0...v3.1.0)

## [v3.0.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.0.0) (2017-04-08)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v3.0.0-pre.1...v3.0.0)

## [v3.0.0-pre.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v3.0.0-pre.1) (2017-02-02)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v2.0.3...v3.0.0-pre.1)

## [v2.0.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v2.0.3) (2016-11-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v2.0.2...v2.0.3)

## [v2.0.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v2.0.2) (2016-11-28)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v2.0.1...v2.0.2)

## [v2.0.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v2.0.1) (2016-11-04)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v2.0.0...v2.0.1)

## [v2.0.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v2.0.0) (2016-10-29)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.7.2...v2.0.0)

## [v1.7.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.7.2) (2016-10-07)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.7.1...v1.7.2)

## [v1.7.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.7.1) (2016-10-06)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.7.0...v1.7.1)

## [v1.7.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.7.0) (2016-10-04)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.6.2...v1.7.0)

## [v1.6.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.6.2) (2016-10-03)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.6.1...v1.6.2)

## [v1.6.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.6.1) (2016-10-02)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.6.0...v1.6.1)

## [v1.6.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.6.0) (2016-10-02)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.8...v1.6.0)

## [v1.5.8](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.8) (2016-09-14)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.7...v1.5.8)

## [v1.5.7](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.7) (2016-09-13)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.6...v1.5.7)

## [v1.5.6](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.6) (2016-09-12)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.5...v1.5.6)

## [v1.5.5](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.5) (2016-09-12)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.4...v1.5.5)

## [v1.5.4](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.4) (2016-09-12)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.3...v1.5.4)

## [v1.5.3](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.3) (2016-09-11)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.2...v1.5.3)

## [v1.5.2](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.2) (2016-09-08)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.1...v1.5.2)

## [v1.5.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.1) (2016-08-20)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.5.0...v1.5.1)

## [v1.5.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.5.0) (2016-08-20)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.4.1...v1.5.0)

## [v1.4.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.4.1) (2016-08-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.4.0...v1.4.1)

## [v1.4.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.4.0) (2016-08-19)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.3.1...v1.4.0)

## [v1.3.1](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.3.1) (2016-08-18)
[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-hooks-common/compare/v1.3.0...v1.3.1)

## [v1.3.0](https://github.com/feathersjs-ecosystem/feathers-hooks-common/tree/v1.3.0) (2016-08-18)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*